<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: Graphical Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Graphical Class Hierarchy</h1>
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
<table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit__graph__0.png" border="0" alt="" usemap="#tiovx_8array_8Array_map"/>
<map name="tiovx_8array_8Array_map" id="tiovx_8array_8Array">
<area shape="rect" id="node1" href="classtiovx_1_1array_1_1Array.html" title="Array object (OpenVX equivalent = vx_array)." alt="" coords="5,5,123,32"/></map></td></tr>
<tr><td><img src="inherit__graph__1.png" border="0" alt="" usemap="#tiovx_8context_8Context_map"/>
<map name="tiovx_8context_8Context_map" id="tiovx_8context_8Context">
<area shape="rect" id="node1" href="classtiovx_1_1context_1_1Context.html" title="Context object (OpenVX equivalent = vx_context)." alt="" coords="5,5,145,32"/></map></td></tr>
<tr><td><img src="inherit__graph__2.png" border="0" alt="" usemap="#tiovx_8convolution_8Convolution_map"/>
<map name="tiovx_8convolution_8Convolution_map" id="tiovx_8convolution_8Convolution">
<area shape="rect" id="node1" href="classtiovx_1_1convolution_1_1Convolution.html" title="Convolution object (OpenVX equivalent = vx_convolution)." alt="" coords="5,5,192,32"/></map></td></tr>
<tr><td><img src="inherit__graph__3.png" border="0" alt="" usemap="#tiovx_8distribution_8Distribution_map"/>
<map name="tiovx_8distribution_8Distribution_map" id="tiovx_8distribution_8Distribution">
<area shape="rect" id="node1" href="classtiovx_1_1distribution_1_1Distribution.html" title="Distribution object (OpenVX equivalent = vx_distribution)." alt="" coords="5,5,188,32"/></map></td></tr>
<tr><td><img src="inherit__graph__4.png" border="0" alt="" usemap="#tiovx_8enums_8Bool_map"/>
<map name="tiovx_8enums_8Bool_map" id="tiovx_8enums_8Bool">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Bool.html" title="Boolean type (OpenVX equivalent = vx_bool)." alt="" coords="5,5,124,32"/></map></td></tr>
<tr><td><img src="inherit__graph__5.png" border="0" alt="" usemap="#tiovx_8enums_8Channel_map"/>
<map name="tiovx_8enums_8Channel_map" id="tiovx_8enums_8Channel">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Channel.html" title="Image channel (OpenVX equivalent = vx_channel_e)." alt="" coords="5,5,145,32"/></map></td></tr>
<tr><td><img src="inherit__graph__6.png" border="0" alt="" usemap="#tiovx_8enums_8DfImage_map"/>
<map name="tiovx_8enums_8DfImage_map" id="tiovx_8enums_8DfImage">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1DfImage.html" title="Image data format (OpenVX equivalent = vx_df_image)." alt="" coords="5,5,148,32"/></map></td></tr>
<tr><td><img src="inherit__graph__7.png" border="0" alt="" usemap="#tiovx_8enums_8Direction_map"/>
<map name="tiovx_8enums_8Direction_map" id="tiovx_8enums_8Direction">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Direction.html" title="Parameter direction (OpenVX equivalent = vx_direction_e)." alt="" coords="5,5,149,32"/></map></td></tr>
<tr><td><img src="inherit__graph__8.png" border="0" alt="" usemap="#tiovx_8enums_8InterpolationType_map"/>
<map name="tiovx_8enums_8InterpolationType_map" id="tiovx_8enums_8InterpolationType">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1InterpolationType.html" title="Interpollation type (OpenVX equivalent = vx_interpolation_type_e)." alt="" coords="5,5,200,32"/></map></td></tr>
<tr><td><img src="inherit__graph__9.png" border="0" alt="" usemap="#tiovx_8enums_8NonLinearFilter_map"/>
<map name="tiovx_8enums_8NonLinearFilter_map" id="tiovx_8enums_8NonLinearFilter">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1NonLinearFilter.html" title="Non linear filter type (OpenVX equivalent = vx_non_linear_filter_e)." alt="" coords="5,5,185,32"/></map></td></tr>
<tr><td><img src="inherit__graph__10.png" border="0" alt="" usemap="#tiovx_8enums_8Norm_map"/>
<map name="tiovx_8enums_8Norm_map" id="tiovx_8enums_8Norm">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Norm.html" title="Normalization type (OpenVX equivalent = vx_norm_type_e)." alt="" coords="5,5,131,32"/></map></td></tr>
<tr><td><img src="inherit__graph__11.png" border="0" alt="" usemap="#tiovx_8enums_8ParamState_map"/>
<map name="tiovx_8enums_8ParamState_map" id="tiovx_8enums_8ParamState">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1ParamState.html" title="Parameter state (OpenVX equivalent = vx_parameter_state_e)." alt="" coords="5,5,167,32"/></map></td></tr>
<tr><td><img src="inherit__graph__12.png" border="0" alt="" usemap="#tiovx_8enums_8Pattern_map"/>
<map name="tiovx_8enums_8Pattern_map" id="tiovx_8enums_8Pattern">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Pattern.html" title="Matrix Patterns (OpenVX equivalent = vx_pattern_e)." alt="" coords="5,5,140,32"/></map></td></tr>
<tr><td><img src="inherit__graph__13.png" border="0" alt="" usemap="#tiovx_8enums_8Policy_map"/>
<map name="tiovx_8enums_8Policy_map" id="tiovx_8enums_8Policy">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Policy.html" title="Conversion Policy (OpenVX equivalent = vx_convert_policy_e)." alt="" coords="5,5,132,32"/></map></td></tr>
<tr><td><img src="inherit__graph__14.png" border="0" alt="" usemap="#tiovx_8enums_8PyramidScale_map"/>
<map name="tiovx_8enums_8PyramidScale_map" id="tiovx_8enums_8PyramidScale">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1PyramidScale.html" title="Pyramid Scale (OpenVX equivalent = VX_SCALE_PYRAMID_xxx)." alt="" coords="5,5,176,32"/></map></td></tr>
<tr><td><img src="inherit__graph__15.png" border="0" alt="" usemap="#tiovx_8enums_8Target_map"/>
<map name="tiovx_8enums_8Target_map" id="tiovx_8enums_8Target">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Target.html" title="Target on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx)." alt="" coords="5,5,137,32"/></map></td></tr>
<tr><td><img src="inherit__graph__16.png" border="0" alt="" usemap="#tiovx_8enums_8ThresholdType_map"/>
<map name="tiovx_8enums_8ThresholdType_map" id="tiovx_8enums_8ThresholdType">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1ThresholdType.html" title="Threshold Type (OpenVX equivalent = vx_threshold_type_e)." alt="" coords="5,5,184,32"/></map></td></tr>
<tr><td><img src="inherit__graph__17.png" border="0" alt="" usemap="#tiovx_8enums_8Type_map"/>
<map name="tiovx_8enums_8Type_map" id="tiovx_8enums_8Type">
<area shape="rect" id="node1" href="classtiovx_1_1enums_1_1Type.html" title="Object/Data type (OpenVX equivalent = vx_type_e)." alt="" coords="5,5,128,32"/></map></td></tr>
<tr><td><img src="inherit__graph__18.png" border="0" alt="" usemap="#tiovx_8image_8Image_map"/>
<map name="tiovx_8image_8Image_map" id="tiovx_8image_8Image">
<area shape="rect" id="node1" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage)." alt="" coords="5,31,132,57"/><area shape="rect" id="node2" href="classtiovx_1_1image_1_1ImageFromChannel.html" title="Image from channel object (OpenVX equivalent = vx_image, vxCreateImageFromChannel)..." alt="" coords="180,5,383,32"/><area shape="rect" id="node3" href="classtiovx_1_1image_1_1ImageFromHandle.html" title="Image from handle object (OpenVX equivalent = vx_image, vxCreateImageFromHandle)..." alt="" coords="183,56,379,83"/></map></td></tr>
<tr><td><img src="inherit__graph__19.png" border="0" alt="" usemap="#tiovx_8image_8ImagePatchAddress_map"/>
<map name="tiovx_8image_8ImagePatchAddress_map" id="tiovx_8image_8ImagePatchAddress">
<area shape="rect" id="node1" href="classtiovx_1_1image_1_1ImagePatchAddress.html" title="Image patch object (OpenVX equivalent = vx_imagepatch_addressing_t)." alt="" coords="5,5,209,32"/></map></td></tr>
<tr><td><img src="inherit__graph__20.png" border="0" alt="" usemap="#tiovx_8lut_8Lut_map"/>
<map name="tiovx_8lut_8Lut_map" id="tiovx_8lut_8Lut">
<area shape="rect" id="node1" href="classtiovx_1_1lut_1_1Lut.html" title="Lut object (OpenVX equivalent = vx_lut)." alt="" coords="5,5,92,32"/></map></td></tr>
<tr><td><img src="inherit__graph__21.png" border="0" alt="" usemap="#tiovx_8matrix_8Matrix_map"/>
<map name="tiovx_8matrix_8Matrix_map" id="tiovx_8matrix_8Matrix">
<area shape="rect" id="node1" href="classtiovx_1_1matrix_1_1Matrix.html" title="Matrix object (OpenVX equivalent = vx_matrix)." alt="" coords="5,5,132,32"/></map></td></tr>
<tr><td><img src="inherit__graph__22.png" border="0" alt="" usemap="#tiovx_8objectarray_8ObjectArray_map"/>
<map name="tiovx_8objectarray_8ObjectArray_map" id="tiovx_8objectarray_8ObjectArray">
<area shape="rect" id="node1" href="classtiovx_1_1objectarray_1_1ObjectArray.html" title="Object Array object (OpenVX equivalent = vx_object_array)." alt="" coords="5,5,195,32"/></map></td></tr>
<tr><td><img src="inherit__graph__23.png" border="0" alt="" usemap="#tiovx_8pyramid_8Pyramid_map"/>
<map name="tiovx_8pyramid_8Pyramid_map" id="tiovx_8pyramid_8Pyramid">
<area shape="rect" id="node1" href="classtiovx_1_1pyramid_1_1Pyramid.html" title="Pyramid object (OpenVX equivalent = vx_pyramid)." alt="" coords="5,5,153,32"/></map></td></tr>
<tr><td><img src="inherit__graph__24.png" border="0" alt="" usemap="#tiovx_8reference_8Reference_map"/>
<map name="tiovx_8reference_8Reference_map" id="tiovx_8reference_8Reference">
<area shape="rect" id="node1" href="classtiovx_1_1reference_1_1Reference.html" title="Reference object (OpenVX equivalent = vx_reference)." alt="" coords="5,5,175,32"/></map></td></tr>
<tr><td><img src="inherit__graph__25.png" border="0" alt="" usemap="#tiovx_8remap_8Remap_map"/>
<map name="tiovx_8remap_8Remap_map" id="tiovx_8remap_8Remap">
<area shape="rect" id="node1" href="classtiovx_1_1remap_1_1Remap.html" title="Remap object (OpenVX equivalent = vx_remap)." alt="" coords="5,5,139,32"/></map></td></tr>
<tr><td><img src="inherit__graph__26.png" border="0" alt="" usemap="#tiovx_8scalar_8Scalar_map"/>
<map name="tiovx_8scalar_8Scalar_map" id="tiovx_8scalar_8Scalar">
<area shape="rect" id="node1" href="classtiovx_1_1scalar_1_1Scalar.html" title="Scalar object (OpenVX equivalent = vx_scalar)." alt="" coords="5,5,132,32"/></map></td></tr>
<tr><td><img src="inherit__graph__27.png" border="0" alt="" usemap="#tiovx_8threshold_8Threshold_map"/>
<map name="tiovx_8threshold_8Threshold_map" id="tiovx_8threshold_8Threshold">
<area shape="rect" id="node1" href="classtiovx_1_1threshold_1_1Threshold.html" title="Threshold object (OpenVX equivalent = vx_threshold)." alt="" coords="5,5,172,32"/></map></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
